Bug 1025 - binutils failed to build gcc 4.0.1 20050619
Summary: binutils failed to build gcc 4.0.1 20050619
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: ld (show other bugs)
Version: unspecified
: P1 critical
Target Milestone: ---
Assignee: unassigned
URL:
Keywords:
: 1022 1023 (view as bug list)
Depends on: 1022
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-19 20:16 IST by H.J. Lu
Modified: 2005-08-21 17:57 IST (History)
5 users (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2005-06-19 20:16:27 IST
I got

/export/build/gnu/gcc-4.0/build-i686-linux/gcc/xgcc -B./ -v -shared-libgcc
-B/export/build/gnu/gcc-4.0/build-i686-linux/gcc/ -nostdinc++
-L/export/build/gnu/gcc-4.0/build-i686-linux/i686-pc-linux-gnu/libstdc++-v3/src
-L/export/build/gnu/gcc-4.0/build-i686-linux/i686-pc-linux-gnu/libstdc++-v3/src/.libs
-B/usr/gcc-4.0/i686-pc-linux-gnu/bin/ -B/usr/gcc-4.0/i686-pc-linux-gnu/lib/
-isystem /usr/gcc-4.0/i686-pc-linux-gnu/include -isystem
/usr/gcc-4.0/i686-pc-linux-gnu/sys-include -shared -nostdlib /usr/lib/crti.o
/export/build/gnu/gcc-4.0/build-i686-linux/gcc/crtbeginS.o 
.libs/bitmap_allocator.o .libs/pool_allocator.o .libs/mt_allocator.o
.libs/codecvt.o .libs/compatibility.o .libs/complex_io.o .libs/ctype.o
.libs/debug.o .libs/debug_list.o .libs/functexcept.o .libs/globals_locale.o
.libs/globals_io.o .libs/ios.o .libs/ios_failure.o .libs/ios_init.o
.libs/ios_locale.o .libs/limits.o .libs/list.o .libs/locale.o
.libs/locale_init.o .libs/locale_facets.o .libs/localename.o .libs/stdexcept.o
.libs/strstream.o .libs/tree.o .libs/allocator-inst.o .libs/concept-inst.o
.libs/fstream-inst.o .libs/ext-inst.o .libs/io-inst.o .libs/istream-inst.o
.libs/istream.o .libs/locale-inst.o .libs/locale-misc-inst.o .libs/misc-inst.o
.libs/ostream-inst.o .libs/sstream-inst.o .libs/streambuf-inst.o
.libs/streambuf.o .libs/string-inst.o .libs/valarray-inst.o .libs/wlocale-inst.o
.libs/wstring-inst.o .libs/atomicity.o .libs/codecvt_members.o
.libs/collate_members.o .libs/ctype_members.o .libs/messages_members.o
.libs/monetary_members.o .libs/numeric_members.o .libs/time_members.o
.libs/basic_file.o .libs/c++locale.o -Wl,--whole-archive
../libmath/.libs/libmath.a ../libsupc++/.libs/libsupc++convenience.a
-Wl,--no-whole-archive 
-L/export/build/gnu/gcc-4.0/build-i686-linux/i686-pc-linux-gnu/libstdc++-v3/src
-L/export/build/gnu/gcc-4.0/build-i686-linux/i686-pc-linux-gnu/libstdc++-v3/src/.libs
-lm ../libmath/.libs/libmath.a -lm ../libsupc++/.libs/libsupc++convenience.a -lm
-L/export/build/gnu/gcc-4.0/build-i686-linux/gcc
-L/usr/gcc-4.0/lib/gcc/i686-pc-linux-gnu/4.0.1
-L/usr/gcc-4.0/lib/gcc/i686-pc-linux-gnu/4.0.1/../../.. -lgcc_s -lc -lgcc_s -lm
-lgcc_s -lc -lgcc_s   /export/build/gnu/gcc-4.0/build-i686-linux/gcc/crtendS.o
/usr/lib/crtn.o  -Wl,-O1 -Wl,--version-script=libstdc++-symbol.ver -Wl,-soname
-Wl,libstdc++.so.6 -o .libs/libstdc++.so.6.0.5
./ld: BFD 2.16.91 20050619 internal error, aborting at
/net/gnu/export/gnu/src/binutils-import/binutils/bfd/elf32-i386.c line 2373 in
elf_i386_relocate_section

./ld: Please report this bug.

collect2: ld returned 1 exit status
Comment 1 H.J. Lu 2005-06-19 20:33:30 IST
I think the assembler patch in

http://sourceware.org/ml/binutils/2005-06/msg00175.html

is the cause. Jan, could you please verify that? Thanks.
Comment 2 H.J. Lu 2005-06-19 20:46:52 IST
I got the similar problem on Linux/x86_64.
Comment 3 H.J. Lu 2005-06-19 22:41:56 IST
It is something else. 20050614 binutils has the same issue.
Comment 4 H.J. Lu 2005-06-20 00:07:07 IST
It seems a gcc bug:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=22109
Comment 5 Andrew Pinski 2005-06-20 00:14:10 IST
This is related to binutils PR 1022.
Comment 6 Andrew Pinski 2005-06-20 00:15:36 IST
To me:
This email: http://gcc.gnu.org/ml/gcc/2005-06/msg00844.html
seems like this is not a GCC bug but a bug in the buntils.

See also: <http://gcc.gnu.org/ml/gcc/2005-06/msg00842.html>.
Comment 7 H.J. Lu 2005-06-20 06:22:27 IST
A patch is posted at

http://sourceware.org/ml/binutils/2005-06/msg00500.html
Comment 8 H.J. Lu 2005-06-20 13:10:08 IST
Fixed now.
Comment 9 H.J. Lu 2005-06-20 13:15:39 IST
*** Bug 1022 has been marked as a duplicate of this bug. ***
Comment 10 H.J. Lu 2005-06-20 13:19:24 IST
*** Bug 1023 has been marked as a duplicate of this bug. ***
Comment 11 H.J. Lu 2005-08-21 17:57:48 IST
*** Bug 1208 has been marked as a duplicate of this bug. ***